<? 
if (is_file('sg_cm_code.php'))die('не надо этот файл открывать');
include ('../root.php');
$server=str_replace("www.","",$_SERVER['SERVER_NAME']);
$server=rtrim($server.'/'.$sg_root,'/');
$wwwserver='www.'.$server;
if (file_exists('user_imsitemap.html')) $f=@file_get_contents("user_imsitemap.html");
else $f=@file_get_contents("../../imsitemap.html");
if ($f!='' && $f!==false ){
		$fnd1='<ul class="imSiteMap"'; $fnd2='<div class="imClear">';
		$pos1 = strpos($f, $fnd1)+22;
		$ln=strpos($f, $fnd2)-$pos1;
		$f=substr($f, $pos1, $ln);
		$f=substr($f, 0, strrpos($f, '</ul>')+5);
		$f=preg_replace('!<img src.*?/>!su', '', $f); //убрать иконки 
		$f=str_replace('imCssLink', 'gsLink', $f);  //убрать классы imcsslink
		$f=preg_replace('!onclick="(.*?)"!su', '', $f); //убрать все яваскрипты в onclick'ах
		$f=str_replace('href="./"', 'href="index.html"', $f);$f=str_replace('href="/"', 'href="index.html"', $f);
		$reg='!href="http://'.$server.'/([^\"]*?)"!su';$reg=str_replace('.', '\.', $reg);
		$f=preg_replace($reg, 'href="$1"', $f); 
		$reg='!href="http://'.$wwwserver.'/([^\"]*?)"!su';$reg=str_replace('.', '\.', $reg);
		$f=preg_replace($reg, 'href="$1"', $f); 
		$f=preg_replace('!href="(javascript:|mailto:|http://)([^\"]*?)"!su', 'href1="#" onclick="return false;" style="cursor:text"', $f);
		$f=preg_replace('!href="(blog|cart|guestbook)/(.*?)"!su', 'href1="#" onclick="return false;" style="cursor:text"', $f);
		$f=preg_replace('!href="([\w-]+)/([\w-]+)\.html([^/]*)"!su', 'href="$1.php"', $f); // для ссылок на новость(статью) вида stat/st1.html
		$f=preg_replace('!href="([^\"]+?)\/([^\"]*?)"!su', 'href1="#" onclick="return false;" style="cursor:text"', $f); //сделать неактивными все ссылки содержащие слэш
		$f=preg_replace('!href="\/([^\"]*?)"!su', 'href="$1" ', $f); // слеши перед ссылкой
		$f=preg_replace('!href="([^\/]*?)\.(php|html)(.*?)"!su', 'href="../../sg_cm/sg_cm/index.php?ind=$1"', $f);
		$f=str_replace('href1', 'href', $f);
		$f=preg_replace('!<ul class="imSiteMap">([[:blank:]\r\n]*?)</ul>!su', '', $f); //пустые ul
$f='<div id="gsMnMn"> <ul onclick="this.className = (this.className == \'gs_menu0\' ? \'gs_menu\' : \'gs_menu0\')" class="gs_menu0"><li><a href="#" class="gslink gsMnMn"  ><img src="../../sg_cm/sg_images/sitemap.png" title="Карта сайта" onmouseover="x5engine.imTip.Show(this, { text: \'Карта сайта\', width: 120, position:\'top\'});"  /> </a><ul class="gs_menu1">'.$f.'</li></ul></div>';

file_put_contents('../../sg_cm/include/mmenu.html', $f);
}
?>

